org.bootchart.common

## Class Stats

- java.lang.Object
- - org.bootchart.common.Stats

-     public class Stats
      extends java.lang.Object

  Stats encapsulates performance data statistics.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stats()` Creates a new statistics instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSample(Sample sample)` Adds a new statistics sample.
    `java.util.List` | `getSamples()` Returns a list of statistics samples.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stats

          public Stats()

      Creates a new statistics instance.

  - ### Method Detail

    - #### addSample

          public void addSample(Sample sample)

      Adds a new statistics sample.
      Parameters:
        `sample` - statistics sample to add

    - #### getSamples

          public java.util.List getSamples()

      Returns a list of statistics samples.
      Returns:
        a list statistics samples